# scaleway_image_facts – Gather facts about the Scaleway images available

New in version 2.7.

- DEPRECATED

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Deprecated in favour of `_info` module.

Alternative

  Use scaleway_image_info instead.

## Synopsis

- Gather facts about the Scaleway images available.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
query_parameters dictionary | Default: {} | List of parameters passed to the query string.

region
- / required
added in 2.7

Choices:
- ams1
- EMEA-NL-EVS
- par1
- EMEA-FR-PAR1

Scaleway compute zone

validate_certs
boolean

Choices:
- no
- yes ←

Validate SSL certs of the Scaleway API.

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/

- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.

- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Gather Scaleway images facts
      scaleway_image_facts:
        region: par1

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

scaleway_image_facts
complex

success

Response from Scaleway API
Sample:
{'scaleway_image_facts': [{'arch': 'x86_64', 'creation_date': '2018-07-17T16:18:49.276456+00:00', 'default_bootscript': {'architecture': 'x86_64', 'bootcmdargs': 'LINUX_COMMON scaleway boot=local nbd.max_part=16', 'default': False, 'dtb': '', 'id': '15fbd2f7-a0f9-412b-8502-6a44da8d98b8', 'initrd': 'http://169.254.42.24/initrd/initrd-Linux-x86_64-v3.14.5.gz', 'kernel': 'http://169.254.42.24/kernel/x86_64-mainline-lts-4.9-4.9.93-rev1/vmlinuz-4.9.93', 'organization': '11111111-1111-4111-8111-111111111111', 'public': True, 'title': 'x86_64 mainline 4.9.93 rev1'}, 'extra_volumes': [], 'from_server': None, 'id': '00ae4a88-3252-4eda-9feb-5f6b56bf5ef0', 'modification_date': '2018-07-17T16:42:06.319315+00:00', 'name': 'Debian Stretch', 'organization': '51b656e3-4865-41e8-adbc-0c45bdd780db', 'public': True, 'root_volume': {'id': 'da32dfbb-c5ff-476d-ae2d-c297dd09b7dd', 'name': 'snapshot-2a7229dc-d431-4dc5-b66e-95db08b773af-2018-07-17_16:18', 'size': 25000000000, 'volume_type': 'l_ssd'}, 'state': 'available'}]}

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Yanis Guenane (@Spredzy)

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.